> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_glossaries.md).

# iai glossaries

Domain vocabularies for consistent term interpretation

## Synopsis

Manage glossary definitions in InteractiveAI projects.

Glossary entries are domain-specific terms with descriptions and synonyms (JSON format).

## Options

```
  -h, --help   help for glossaries
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai glossaries create](/cli/iai_glossaries_create.md) - Create a glossary
* [iai glossaries delete](/cli/iai_glossaries_delete.md) - Delete a glossary
* [iai glossaries diff](/cli/iai_glossaries_diff.md) - Compare two versions of a glossary
* [iai glossaries get](/cli/iai_glossaries_get.md) - Describe a glossary in detail
* [iai glossaries list](/cli/iai_glossaries_list.md) - List glossaries in a project
* [iai glossaries schema](/cli/iai_glossaries_schema.md) - Display the JSON Schema for glossaries
* [iai glossaries update](/cli/iai_glossaries_update.md) - Update a glossary (creates a new version)
* [iai glossaries versions](/cli/iai_glossaries_versions.md) - List versions of a glossary


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_glossaries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
